// **************************
// Lejonburen
// **********************************

#define G1  A0
#define G2  A1

#define G1led  3
#define G2led  4
#define stateled  5
#define FARAled   6

#define INNE  0
#define UTE   1

int state=INNE;
int G1var, G2var, FARA;
int Gvalue;

void setup() {
  // put your setup code here, to run once:
  pinMode(G1led,OUTPUT);
  pinMode(G2led,OUTPUT);
  pinMode(stateled,OUTPUT);
  pinMode(FARAled,OUTPUT);

  pinMode(G1,INPUT);
  pinMode(G2,INPUT);

  Serial.begin(9600);
}

void loop() {
  // put your main code here, to run repeatedly:
  G1var=digitalRead(G1);
  G2var=digitalRead(G2);
  digitalWrite(G1led,G1var); 
  digitalWrite(G2led,G2var);
  Gvalue =G1var*2+G2var;
  //  PrintStatus();
  switch(state){
    case INNE:
      switch(Gvalue){
        case 0:
          FARA=0;
          state=INNE;
        break;
        case 1:
          FARA=1;
          state=UTE;
        break;
        case 2:
          FARA=1;
          state=INNE;
        break;
        case 3:
          FARA=1;
          state=INNE;
        break;
      }
      break;
    case UTE:
      FARA=1;
      if (Gvalue==3){
        state=INNE;
      }else{
        state=UTE;
      }
    break;
  }
  digitalWrite(stateled,state);
  digitalWrite(FARAled,FARA);
  //delay(100);
}

void PrintStatus(){// Test pupose
  Serial.print("state: ");Serial.print(state);
  Serial.print("  FARA: ");Serial.print(FARA);
  Serial.print("  G1var: ");Serial.print(G1var);
  Serial.print("  G2var: ");Serial.print(G2var);
  Serial.print("  Gvalue: ");Serial.print(Gvalue);
  Serial.println();
}




