#include "displaydriver.h"

// version 2018-01-17

////////////////////////////////
//
// Display
//
///////////////////////////////

Display::Display() {
  // constructor, do nothing
}

void Display::begin() {
  int t;
  for (t=0;t<7;t++){
    pinMode(pinDisplay[t],OUTPUT);
  }
}

void Display::SetDisplay(int Value){
  switch(Value){
    case 0:
      LightDisplay(DisplayZero);
      break;
    case 1:
      LightDisplay(DisplayOne);
      break;
    case 2:
      LightDisplay(DisplayTwo);
      break;
    case 3:
      LightDisplay(DisplayThree);
      break;
    case 4:
      LightDisplay(DisplayFour);
      break;
    case 5:
      LightDisplay(DisplayFive);
      break;
    case 6:
      LightDisplay(DisplaySix);
      break;
    case 7:
      LightDisplay(DisplaySeven);
      break;
    case 8:
      LightDisplay(DisplayEight);
      break;
    case 9:
      LightDisplay(DisplayNine);
      break;
    default:
      LightDisplay(DisplayError);
      break;
  }
}

void Display::LightDisplay(const int Display[]){
  int t;
  for (t=0;t<7;t++){
    digitalWrite(pinDisplay[t],Display[t]);
  }
}

void Display::halt() {
  while (true) {
    // stay here forever
  }
}



