// *************************
// Lejonbur med många lejon
// ************************************

#include "displaydriver.h"

Display Disp;

// Global defs and vars
#define G1  A0
#define G2  A1

#define G1led  3
#define G2led  4
#define stateled  5
#define FARAled   6

#define START   0
#define MOVE  1

int state=START;
int G1var, G2var, FARA;
int Gvalue;
int NumLejon=0;


void setup() {
  Disp.begin();

  pinMode(G1led,OUTPUT);
  pinMode(G2led,OUTPUT);
  pinMode(stateled,OUTPUT);
  pinMode(FARAled,OUTPUT);

  pinMode(G1,INPUT);
  pinMode(G2,INPUT);

  Serial.begin(9600);
}

void loop() {
  // put your main code here, to run repeatedly:
  G1var=digitalRead(G1);
  G2var=digitalRead(G2);
  digitalWrite(G1led,G1var); 
  digitalWrite(G2led,G2var);
  Gvalue =G1var*2+G2var;
  switch(state){
    case START:
      switch(Gvalue){
        case 2:
          state=MOVE;
          NumLejon++;
        break;
        case 1:
          state=MOVE;
          NumLejon--;
        break;
        default:
          state=START;
        break;
      }
      break;
    case MOVE:
      if (Gvalue==0){
        state=START;
      }else{
        state=MOVE;
      }
    break;
  }
  Disp.SetDisplay(NumLejon);
  Serial.println(NumLejon);
  FARA=(NumLejon==0 ? 0 : 1);
  digitalWrite(stateled,state);
  digitalWrite(FARAled,FARA);
  //delay(100);
}

