// 2017-12-29
#ifndef DisplayDriver_H
  #define DisplayDriver_H

  #if (ARDUINO >=100)
    #include "Arduino.h"
  #else
    #include "WProgram.h"
  #endif

////////////////////////////
//
// Global variables
//
////////////////////////////
const int pinDisplay[]={11,10,7,8,9,13,12};
const int DisplayZero[]  = {1,1,1,1,1,1,0};
const int DisplayOne[]   = {0,0,1,1,0,0,0};
const int DisplayTwo[]   = {1,1,0,1,1,0,1};
const int DisplayThree[] = {0,1,1,1,1,0,1};
const int DisplayFour[]  = {0,0,1,1,0,1,1};
const int DisplayFive[]  = {0,1,1,0,1,1,1};
const int DisplaySix[]   = {1,1,1,0,1,1,1};
const int DisplaySeven[] = {0,0,1,1,1,0,0};
const int DisplayEight[] = {1,1,1,1,1,1,1};
const int DisplayNine[]  = {0,1,1,1,1,1,1};
const int DisplayError[] = {1,1,0,0,1,1,1};

////////////////////////////////
//
// Display
//
///////////////////////////////

class Display {
  public:
    // constructor
    Display();
    // Variables
    // Methods
    void begin();
    void SetDisplay(int Value);
    void halt();
  private:
    void LightDisplay(const int Display[]);
};


#endif

